LibreOffice: XObjectInputStream Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XObjectInputStream Interface Referencepublished

reads XPersistObject implementations from a stream More...

`import"XObjectInputStream.idl";`

Inheritance diagram for XObjectInputStream:

## Public Member Functions
com::sun::star::io::XPersistObject | readObject () raises ( com::sun::star::io::IOException )
| reads an object from the stream. More...
Public Member Functions inherited from XDataInputStream
byte | readBoolean () raises ( com::sun::star::io::IOException )
| reads in a boolean. More...
byte | readByte () raises ( com::sun::star::io::IOException )
| reads an 8-bit byte. More...
char | readChar () raises ( com::sun::star::io::IOException )
| reads a 16-bit unicode character. More...
short | readShort () raises ( com::sun::star::io::IOException )
| reads a 16-bit big endian integer. More...
long | readLong () raises ( com::sun::star::io::IOException )
| reads a 32-bit big endian integer. More...
hyper | readHyper () raises ( com::sun::star::io::IOException )
| reads a 64-bit big endian integer. More...
float | readFloat () raises ( com::sun::star::io::IOException )
| reads a 32-bit IEEE float. More...
double | readDouble () raises ( com::sun::star::io::IOException )
| reads a 64-bit IEEE double. More...
string | readUTF () raises ( com::sun::star::io::IOException )
| reads a string of UTF encoded characters. More...
Public Member Functions inherited from XInputStream
long | readBytes ([out] sequence< byte > aData, [in] long nBytesToRead) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| reads the specified number of bytes in the given sequence. More...
long | readSomeBytes ([out] sequence< byte > aData, [in] long nMaxBytesToRead) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException )
| reads the available number of bytes, at maximum nMaxBytesToRead. More...
void | skipBytes ([in] long nBytesToSkip) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException )
| skips the next nBytesToSkip bytes (must be positive). More...
long | available () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::IOException )
| states how many bytes can be read or skipped without blocking. More...
void | closeInput () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::IOException)
| closes the stream. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

reads XPersistObject implementations from a stream

## Member Function Documentation

## ◆ readObject()

com::sun::star::io::XPersistObject readObject | ( |  | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

reads an object from the stream.

In general, it reads the service name, instantiaties the object and calls read on the XPersistObject interface with itself as argument.

The documentation for this interface was generated from the following file:

- com/sun/star/io/XObjectInputStream.idl